#ifndef DIFF_TOOLS_IS_INCLUDED
#define DIFF_TOOLS_IS_INCLUDED

#include <ginac/ginac.h>

namespace SyFi
{

	// the divergence
	// GiNaC::ex div(GiNaC::exvector& v);
	GiNaC::ex div(GiNaC::lst& v);
	GiNaC::ex div(GiNaC::lst& v,GiNaC::ex G);
	GiNaC::ex div(GiNaC::ex v);
	GiNaC::ex div(GiNaC::ex v, GiNaC::ex G);

	// the gradient
	GiNaC::ex grad(GiNaC::ex f);
	GiNaC::ex grad(GiNaC::ex f, GiNaC::ex G);

}
#endif
