#ifndef ARNOLDFALKWINTHERWEAKSYM
#define ARNOLDFALKWINTHERWEAKSYM

#include "FE.h"

namespace SyFi
{

	class ArnoldFalkWintherWeakSymSigma : public StandardFE
	{
		public:
			ArnoldFalkWintherWeakSymSigma();
			ArnoldFalkWintherWeakSymSigma(Polygon& p, int order = 1 );
			virtual ~ArnoldFalkWintherWeakSymSigma() {}

			virtual void compute_basis_functions();
	};

	class ArnoldFalkWintherWeakSymU : public StandardFE
	{
		public:
			ArnoldFalkWintherWeakSymU();
			ArnoldFalkWintherWeakSymU(Polygon& p, int order = 1);
			virtual ~ArnoldFalkWintherWeakSymU() {}

			virtual void compute_basis_functions();
	};

	class ArnoldFalkWintherWeakSymP : public StandardFE
	{
		public:
			ArnoldFalkWintherWeakSymP();
			ArnoldFalkWintherWeakSymP(Polygon& p, int order = 1);
			virtual ~ArnoldFalkWintherWeakSymP() {}

			virtual void compute_basis_functions();
	};

}								 // namespace SyFi
#endif
