#ifndef ROBUST_IS_INCLUDED
#define ROBUST_IS_INCLUDED

#include "FE.h"

namespace SyFi
{

	class Robust : public StandardFE
	{
		public:
			bool pointwise;
			GiNaC::lst dof_repr;
			Robust();
			Robust(Polygon& p, unsigned int order = 0, bool pointwise=true);
			virtual ~Robust() {}

			virtual void compute_basis_functions();
			virtual void compute_basis_functions_old();
	};

}								 // namespace SyFi
#endif
